Page MenuHomePhabricator

Section edit containing "/*" is mis-parsed
Closed, ResolvedPublic

Description

From https://www.mediawiki.org/w/index.php?title=Gerrit/Project_ownership&action=history:

<span class="comment">(/* PleaseStand for +2 for mediawiki<a href="/wiki/Gerrit/Project_ownership" title="Gerrit/Project ownership">→</a>‎<span dir="auto"><span class="autocomment">: </span> new section</span>)</span>

The link is in the wrong place. It seems to be picking up "PleaseStand for +2 for mediawiki/*" and treating the "/*" in "mediawiki/*" as the start of the section.

The pre-filled section-edit summary field populates correctly, making me think that the database is storing this data correctly. That makes this is a parsing bug then, I believe. Perhaps we can tweak the section-edit edit summary parser to be smarter with this edge case?


Version: unspecified
Severity: normal

Details

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:37 AM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz68361.
bzimport added a subscriber: Unknown Object (MLST).

Change 147362 had a related patch set uploaded by Jackmcbarn:
Prefer earlier potential sections in summaries

https://gerrit.wikimedia.org/r/147362

Change 159326 had a related patch set uploaded by Anomie:
Format multiple autocomments in edit summaries

https://gerrit.wikimedia.org/r/159326

Change 159326 had a related patch set uploaded (by Anomie):
Format multiple autocomments in edit summaries

https://gerrit.wikimedia.org/r/159326

Patch-For-Review

Change 159326 merged by jenkins-bot:
Format multiple autocomments in edit summaries

https://gerrit.wikimedia.org/r/159326

Anomie closed this task as Resolved.Dec 31 2014, 3:31 PM
Anomie claimed this task.

This should be deployed to WMF wikis with 1.25wmf14, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the schedule.

Anomie updated the task description. (Show Details)Jan 13 2015, 2:29 PM
Anomie set Security to None.
demon awarded a token.Jan 13 2015, 2:52 PM